Summary:	Library for reading and writing sound files
Name:		libsndfile
Version:	1.2.0
Release:	4%{?dist}
License:	LGPLv2+ and GPLv2+ and BSD
URL:		http://libsndfile.github.io/libsndfile/
Source0:        https://github.com/libsndfile/libsndfile/releases/download/%{version}/libsndfile-%{version}.tar.xz

# https://github.com/libsndfile/libsndfile/pull/979
Patch0001:      fix-CVE-2022-33065.patch 

Patch3000:      libsndfile-1.0.25-system-gsm.patch


BuildRequires:  gcc-c++ gcc pkgconfig libtool make
BuildRequires:	alsa-lib-devel flac-devel libogg-devel libvorbis-devel
BuildRequires:	sqlite-devel gsm-devel opus-devel python3


%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%package devel
Summary:	Development files for libsndfile
Requires:	%{name} = %{version}-%{release} pkgconfig


%description devel
This package provides development files for %{name}.


%package utils
Summary:	Command Line Utilities for libsndfile
Requires:	%{name} = %{version}-%{release}


%description utils
This package provides command line utilities for libsndfile.


%prep
%autosetup -p1

%build
autoreconf -fiv
%configure \
	--disable-dependency-tracking \
	--enable-sqlite \
	--enable-alsa \
	--enable-largefile \
	--disable-static

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
%make_install
rm -rf __docs
mkdir __docs
cp -pR %{buildroot}%{_docdir}/%{name}/* __docs
rm -rf %{buildroot}%{_docdir}/%{name}
find %{buildroot} -type f -name "*.la" -delete



%check
LD_LIBRARY_PATH=$PWD/src/.libs make check



%files
%license COPYING
%doc AUTHORS README
%{_libdir}/%{name}.so.*

%files utils
%{_bindir}/sndfile-cmp
%{_bindir}/sndfile-concat
%{_bindir}/sndfile-convert
%{_bindir}/sndfile-deinterleave
%{_bindir}/sndfile-info
%{_bindir}/sndfile-interleave
%{_bindir}/sndfile-metadata-get
%{_bindir}/sndfile-metadata-set
%{_bindir}/sndfile-play
%{_bindir}/sndfile-salvage
%{_mandir}/man1/sndfile-cmp.1*
%{_mandir}/man1/sndfile-concat.1*
%{_mandir}/man1/sndfile-convert.1*
%{_mandir}/man1/sndfile-deinterleave.1*
%{_mandir}/man1/sndfile-info.1*
%{_mandir}/man1/sndfile-interleave.1*
%{_mandir}/man1/sndfile-metadata-get.1*
%{_mandir}/man1/sndfile-metadata-set.1*
%{_mandir}/man1/sndfile-play.1*
%{_mandir}/man1/sndfile-salvage.1*

%files devel
%doc __docs ChangeLog
%{_includedir}/sndfile.h
%{_includedir}/sndfile.hh
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/sndfile.pc


%changelog
* Thu Nov 09 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.0-4
- fix CVE-2022-33065

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 1.2.0-2
- Rebuilt for flac 1.4.3

* Fri Aug 04 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.2.0-1
- Upgrade to upstream version 1.2.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.31-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 cunshunxia <cunshunxia@tencent.com> - 1.0.31-1
- initial build
